aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2020-07-13 23:07:57 -0400
committerJoseph Hunkeler <jhunkeler@gmail.com>2020-07-13 23:07:57 -0400
commit67b69cd38f0f15078bf832e91f7e4196649ffcfe (patch)
tree5199b35d4e805c758802e61faadd1cc4cd3dc310
parent8225c761bb911d2c970cb73ba7b527a1002a22db (diff)
downloadsplitfits-67b69cd38f0f15078bf832e91f7e4196649ffcfe.tar.gz
Version sort on find outputdecouple-nexus
-rw-r--r--tests/test_split.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/test_split.sh b/tests/test_split.sh
index 45d9abd..c049d18 100644
--- a/tests/test_split.sh
+++ b/tests/test_split.sh
@@ -8,8 +8,10 @@ test_splitfits_data1() {
return 1
fi
- find . -regex '.*\.part_[0-9]+' | xargs -I'{}' cat '{}' >> streamed.fits
- if ! diff ${datafile} streamed.fits; then
+ files=$(find . -regex '.*\.part_[0-9]+' | sort -V)
+ cat $files > streamed.fits
+
+ if ! diff -q ${datafile} streamed.fits; then
return 1
fi